Package org.opensaml.xmlsec.encryption.support

# Class DefaultPreDecryptionValidator

java.lang.Object
org.opensaml.xmlsec.encryption.support.DefaultPreDecryptionValidator

All Implemented Interfaces:
  `PreDecryptionValidator`

public class DefaultPreDecryptionValidator extends Object implements PreDecryptionValidator
Default implementation of `PreDecryptionValidator`.

## Constructor Summary

Constructors
Constructor
Description
`DefaultPreDecryptionValidator()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`performCommonValidation(EncryptedType encryptedType)`
Perform validation common to both `EncryptedData` and `EncryptedKey`.
`void`
`validate(EncryptedData encryptedData)`
Validate an instance of `EncryptedData`.
`void`
`validate(EncryptedKey encryptedKey)`
Validate an instance of `EncryptedKey`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultPreDecryptionValidator

public DefaultPreDecryptionValidator()

## Method Details

### validate

public void validate(@Nonnull EncryptedData encryptedData) throws PreDecryptionValidationException
Validate an instance of `EncryptedData`.

Specified by:
  `validate` in interface `PreDecryptionValidator`
Parameters:
  `encryptedData` - the target to validate
Throws:
  `PreDecryptionValidationException` - if the target fails validation

### validate

public void validate(@Nonnull EncryptedKey encryptedKey) throws PreDecryptionValidationException
Validate an instance of `EncryptedKey`.

Specified by:
  `validate` in interface `PreDecryptionValidator`
Parameters:
  `encryptedKey` - the target to validate
Throws:
  `PreDecryptionValidationException` - if the target fails validation

### performCommonValidation

protected void performCommonValidation(@Nonnull EncryptedType encryptedType) throws PreDecryptionValidationException
Perform validation common to both `EncryptedData` and `EncryptedKey`.

Parameters:
  `encryptedType` - the target to validate
Throws:
  `PreDecryptionValidationException` - if the target fails validation